Package org.eclipse.cdt.core.parser.util

# Interface IContentAssistMatcher

public interface IContentAssistMatcher
A matcher for content assist-like application to determine whether names match the user provided text.

Since:
  5.3
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`char[]`
`getPrefixForBinarySearch()`
The user provided text normally represents some kind of pattern.
`boolean`
`match(char[] name)`
Matches the given name following the rules of content assist.
`boolean`
`matchRequiredAfterBinarySearch()`

## Method Details

### getPrefixForBinarySearch

char[] getPrefixForBinarySearch()
The user provided text normally represents some kind of pattern. This pattern may not be suitable for binary searches (e.g. within the index). For each content assist pattern, however, there is a string that can be calculated and used for binary searches. In the compare method used by your binary search, return 0 for any string that starts with the returned string.

Returns:
  Such a string.

### matchRequiredAfterBinarySearch

boolean matchRequiredAfterBinarySearch()

Returns:
  If false, calling `match(char[])` can be skipped if a name survived a binary search using the prefix returned by `getPrefixForBinarySearch()` as key.

### match

boolean match(char[] name)
Matches the given name following the rules of content assist.

Parameters:
  `name` -
Returns:
  True if the name matches.